Skip to main content

Get logs

GEThttps://api.propexo.com/v1/admin/logs/jobs/

Get logs for an integration. meta.total is always 0; use meta.hasMore to determine whether more results exist.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
status string
Show 2 enum values
SUCCESSFAILURE
integration_id stringrequired
job_type string

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required
  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalnumberrequired

    Always 0. Use hasMore to determine whether more results exist.

    Show 1 enum value
    0
    Example: 0
    results object[]required
  • Array [
  • idstringrequired
    job_idstring | nullnullablerequired
    created_atstringrequired
    job_typestringrequired
    statusstringrequired
    parent_job_idstring | nullnullablerequired
    root_job_idstringrequired
    job_schedule_idstring | nullnullablerequired
    integration_idstringrequired
    associated_property_idstring | nullnullablerequired
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/admin/logs/jobs/
curl https://api.propexo.com/v1/admin/logs/jobs/?integration_id=<string> \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 0
},
"results": [
{
"id": "string",
"job_id": "string",
"created_at": "string",
"job_type": "string",
"status": "string",
"parent_job_id": "string",
"root_job_id": "string",
"job_schedule_id": "string",
"integration_id": "string",
"associated_property_id": "string"
}
]
}